import { StyleSheet } from "react-native";
import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";
import { commonStyles } from "../../styles/commonStyle";
import { external } from "../../styles/externalStyle";

const styles = StyleSheet.create({
  mainContainer: {
    borderTopLeftRadius: windowHeight(15),
    borderTopRightRadius: windowHeight(15),
    marginTop: windowHeight(-15),
    borderWidth: windowHeight(1),
  },
  container: {
    backgroundColor: appColors.lightGray,
    borderRadius: windowHeight(10),
    marginTop: windowHeight(10),
    borderWidth: windowHeight(1.3),
    marginRight: windowWidth(12),
    height: windowHeight(90),
    paddingTop: windowHeight(6),
    width: windowWidth(138),
  },
  paymentView: {
    flex: 1,
  },
  img: {
    width: windowWidth(75),
    height: windowHeight(25),
    resizeMode: "contain",
  },
  modalTitle: {
    justifyContent: "space-between",
    marginTop: windowHeight(5),
  },
  verticalLine: {
    height: windowHeight(12),
    borderRightColor: appColors.border,
    borderRightWidth: windowHeight(1.5),
    marginHorizontal: windowWidth(6),
    marginVertical: windowHeight(2),
  },
  price: {
    color: appColors.blackColor,
    marginHorizontal: windowWidth(18),
    fontFamily: appFonts.semiBold,
    fontSize: fontSizes.FONT20,
    marginTop: windowHeight(4),
  },
  priceCut: {
    color: appColors.regularText,
    textDecorationLine: "line-through",
    fontFamily: appFonts.regular,
    marginVertical: windowHeight(2),
  },
  solidLineView: {
    width: "80%",
    paddingVertical: windowHeight(4.5),
  },
  termsText: {
    ...commonStyles.extraBold,
    ...external.pv_10,
    marginTop: windowHeight(10),
  },
  fourPmText: {
    ...commonStyles.extraBold,
  },
  fiveMinAway: {
    ...commonStyles.extraBold,
    alignSelf: "center",
  },
  viewContainer: {
    ...external.ai_center,
    ...external.js_space,
  },
  clock: {
    marginVertical: windowHeight(6),
    marginHorizontal: windowWidth(2),
  },
  carTwo: {
    width: windowHeight(50),
    height: windowWidth(55),
    alignSelf: "center",
    marginVertical: windowHeight(12),
    marginTop: windowHeight(12),
    resizeMode: "contain",
  },
  fiftySeven: {
    ...commonStyles.regularText,
    color: appColors.regularText,
    textDecorationLine: "line-through",
    paddingHorizontal: windowWidth(5),
  },
  carType: {
    ...commonStyles.extraBold,
    ...external.pt_5,
  },
  backBtn: {
    height: windowHeight(32),
    width: windowWidth(48),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(6),
    marginTop: windowHeight(10),
    marginHorizontal: windowWidth(18),
    position: "absolute",
    zIndex: 1,
    borderWidth: windowHeight(1),
  },
  ridekm: {
    position: "absolute",
    height: windowHeight(32),
    backgroundColor: appColors.primary,
    top: windowHeight(10),
    right: windowWidth(18),
    zIndex: 1,
    borderWidth: 1,
    borderColor: appColors.primary,
    borderRadius: windowHeight(6),
    flexDirection: "row",
    justifyContent: "space-between",
    overflow: "hidden",
  },
  kmText: {
    color: appColors.whiteColor,
    fontSize: fontSizes.FONT14,
  },
  rideMin: {
    backgroundColor: appColors.whiteColor,
    width: 50,
    alignItems: "center",
    justifyContent: "center",
    fontFamily: appFonts.regular,
    color: appColors.primary,
  },
  textInput: {
    top: 0,
    right: 0,
    bottom: 0,
    width: "65%",
    height: "100%",
    padding: 0,
    borderWidth: windowHeight(0),
    textAlign: "center",
    backgroundColor: appColors.lightGray,
    borderRadius: windowWidth(35),
  },
  plusBtn: {
    height: windowHeight(35),
    width: windowHeight(35),
    borderRadius: windowHeight(35),
    alignItems: "center",
    justifyContent: "center",
    margin: windowHeight(4),
    backgroundColor: appColors.lightGray,
  },
  inputcontainer: {
    width: "100%",
    height: windowHeight(40),
    marginTop: windowHeight(4),
    overflow: "hidden",
    justifyContent: "space-between",
    borderRadius: windowHeight(4),
  },
  title: {
    marginTop: windowHeight(14),
    fontFamily: appFonts.semiBold,
    fontSize: fontSizes.FONT20,
    marginBottom: windowHeight(3),
  },
  containerCoupon: {
    flexDirection: "row",
    alignItems: "center",
    backgroundColor: appColors.whiteColor,
    justifyContent: "space-between",
    marginBottom: windowHeight(15),
    marginHorizontal: windowWidth(15),
    borderWidth: windowHeight(1),
    borderColor: appColors.border,
    borderRadius: windowWidth(8),
  },
  containerCouponMain: {
    alignItems: "center",
    width: "108%",
    justifyContent: "space-between",
    marginTop: windowHeight(15),
    marginBottom: windowHeight(5),
    borderWidth: windowHeight(1),
    borderRadius: windowWidth(35),
    alignSelf: "center",
  },
  invalidPromoText: {
    color: appColors.alertRed,
    marginTop: windowHeight(4.5),
    position: "absolute",
    fontFamily: appFonts.regular,
  },
  successMessage: {
    color: appColors.greenColor,
    marginTop: windowHeight(1),
    position: "absolute",
    fontFamily: appFonts.regular,
  },
  viewCoupon: {
    textAlign: "right",
    color: appColors.blackColor,
    fontFamily: appFonts.medium,
    marginBottom: windowHeight(10),
    marginHorizontal: windowWidth(4),
    marginTop: windowHeight(4),
  },
  buttonAdd: {
    backgroundColor: appColors.blackColor,
    height: windowHeight(30),
    width: windowWidth(150),
    borderRadius: windowHeight(25),
    alignItems: "center",
    justifyContent: "center",
    marginHorizontal: windowWidth(7),
    marginVertical: windowHeight(5),
  },
  buttonAddText: {
    color: appColors.whiteColor,
    fontSize: fontSizes.FONT16,
    fontFamily: appFonts.medium,
  },
  input: {
    fontFamily: appFonts.medium,
    width: "50%",
    marginHorizontal: windowWidth(12),
  },
  payment: {
    fontFamily: appFonts.semiBold,
    justifyContent: "center",
    fontSize: fontSizes.FONT19,
  },
  paymentContainer: {
    backgroundColor: appColors.whiteColor,
    bottom: windowHeight(10.5),
    marginHorizontal: windowWidth(2.3),
    maxHeight: windowHeight(250),
  },
  modalPaymentView: {
    justifyContent: "space-between",
    paddingHorizontal: windowWidth(18),
    paddingVertical: windowHeight(10),
  },
  imageBg: {
    borderWidth: windowHeight(1.5),
    borderRadius: windowHeight(36),
    alignItems: "center",
    justifyContent: "center",
    width: windowHeight(36),
    height: windowHeight(36),
    backgroundColor: appColors.whiteColor,
  },
  paymentImage: {
    width: windowWidth(35),
    height: windowHeight(30),
    resizeMode: "contain",
  },
  mailInfo: {
    marginHorizontal: windowWidth(15),
    justifyContent: "center",
  },
  mail: {
    fontFamily: appFonts.regular,
  },
  payBtn: {
    alignItems: "center",
    justifyContent: "center",
    width: windowWidth(9),
    borderRadius: windowHeight(8),
    marginHorizontal: windowWidth(6),
    height: windowHeight(35),
  },
  borderPayment: {
    width: "100%",
    height: windowHeight(4),
    backgroundColor: appColors.lightGray,
  },
  chooseAnotherAccount: {
    ...commonStyles.mediumTextBlack12,
    fontSize: fontSizes.FONT19,
    color: appColors.blackColor,
  },
  selectText: {
    fontFamily: appFonts.medium,
  },
  selectedText: {
    color: appColors.primary,
  },
  switchContainer: {
    marginHorizontal: windowWidth(15),
    paddingVertical: windowHeight(10),
    paddingHorizontal: windowWidth(15),
    borderRadius: windowWidth(20),
    marginBottom: windowHeight(10),
    marginTop: windowHeight(10),
    borderWidth: windowWidth(1)
  },
  subtitle: {
    fontSize: fontSizes.FONT22,
    lineHeight: windowHeight(14),
  },
  modalContainer: {
    flex: 1,
    justifyContent: "center",
    alignItems: "center",
    backgroundColor: appColors.modelBg,
  },
  modalContent: {
    width: "80%",
    padding: windowHeight(18.5),
    backgroundColor: appColors.whiteColor,
    borderRadius: windowHeight(9.8),
    alignItems: "center",
  },
  modalText: {
    fontSize: fontSizes.FONT16,
    marginBottom: windowHeight(18),
    fontFamily: appFonts.medium,
    textAlign: "center",
  },
  modalDetail: {
    fontFamily: appFonts.medium,
    textAlign: "center",
  },
  buttonContainer: {
    justifyContent: "space-between",
    width: "100%",
    marginTop: windowHeight(15),
  },
  button: {
    padding: windowHeight(8.5),
    borderRadius: windowHeight(5),
    width: "45%",
    alignItems: "center",
  },
  cancelButton: {
    backgroundColor: "gray",
  },
  confirmButton: {
    backgroundColor: appColors.textRed,
  },
  buttonText: {
    color: appColors.whiteColor,
    fontSize: fontSizes.FONT19,
  },
  warningText: {
    color: appColors.textRed,
    fontFamily: appFonts.medium,
  },
  vehicleName: {
    fontFamily: appFonts.regular,
  },
  recommended: {
    height: windowHeight(40),
    ...external.mh_10,
    marginBottom: windowHeight(10),
    borderWidth: windowHeight(1),
    borderColor: appColors.border,
    borderRadius: windowHeight(8),
    backgroundColor: appColors.lightGray,
    justifyContent: "center",
    ...external.mt_10,
  },
  RideRecommendPrice: {
    color: appColors.primaryText,
    fontFamily: appFonts.bold,
    marginHorizontal: windowHeight(12),
  },
  priceTitle: {
    color: appColors.primaryText,
    fontFamily: appFonts.regular,
  },
  switchUser: {
    paddingHorizontal: windowWidth(15),
    paddingVertical: windowHeight(9),
    borderRadius: windowHeight(25),
    alignItems: "center",
    justifyContent: "center",
    marginBottom: windowHeight(8),
  },
  userIcon: {
    marginRight: windowWidth(10),
  },
  cardView: {
    justifyContent: "space-between",
    marginHorizontal: windowWidth(15),
    marginTop: windowHeight(12),
  },
  pressable: {
    backgroundColor: appColors.selectPrimary,
    borderRadius: windowHeight(10),
  },
  switchRiderView: {
    justifyContent: "space-between",
    marginTop: windowHeight(4),
  },
  scrollViewStyle: {
    marginBottom: windowHeight(0),
  },
  selectPaymentView: {
    marginVertical: windowHeight(11),
  },
  loaderGIF: {
    width: windowHeight(28),
    height: windowHeight(28),
  },
  selectedOptionView: {
    justifyContent: "space-between",
    marginHorizontal: windowHeight(15),
    marginTop: windowHeight(6),
  },
  serviceImg: {
    height: windowHeight(60),
    width: windowHeight(60),
    resizeMode: "contain",
  },
  iconView: { marginRight: windowWidth(10) },
  renderItemView: {
    paddingHorizontal: windowWidth(15),
    paddingVertical: windowHeight(8),
    borderRadius: windowHeight(25),
    alignItems: "center",
    justifyContent: "center",
    marginRight: 10,
  },
  solidLine: {
    width: "100%",
    height: windowHeight(5),
    backgroundColor: appColors.lightGray,
    marginTop: windowHeight(15),
  },
  boldText: {
    fontFamily: appFonts.bold,
  },
  modalBackground: {
    flex: 1,
    backgroundColor: "rgba(0,0,0,0.5)",
    justifyContent: "center",
    paddingHorizontal: windowWidth(20),
    paddingVertical: windowHeight(15),
  },
  modalContainer1: {
    backgroundColor: appColors.whiteColor,
    borderRadius: 10,
    maxHeight: "85%",
    overflow: "hidden",
    padding: windowHeight(10),
  },
  backdrop: {
    ...StyleSheet.absoluteFillObject,
  },
  contentContainer: {
    flex: 1,
    paddingHorizontal: 16,
    paddingTop: 10,
    height: windowHeight(80),
  },
  image: {
    marginTop: windowHeight(1),
    alignItems: "center",
    justifyContent: "flex-end",
    flexDirection: "row",
    height: windowHeight(20),
  },
  images: {
    height: windowHeight(20),
    width: windowHeight(20),
    marginRight: 8,
  },
  lineView: {
    justifyContent: "center",
    height: windowHeight(18),
    alignItems: "center",
  },
  mainSheet: {
    alignItems: "center",
    justifyContent: "center",
  },
  timerContainer: {
    backgroundColor: appColors.primary,
    paddingVertical: windowHeight(6.5),
    paddingHorizontal: windowWidth(21),
    borderRadius: windowHeight(25),
  },
  timerText: {
    fontSize: fontSizes.FONT19,
    fontFamily: appFonts.medium,
    color: appColors.blackColor,
  },
  mainBottomSheet: {
    backgroundColor: appColors.primary,
    width: windowWidth(50),
    borderRadius: windowWidth(35),
    height: windowHeight(5),
    marginBottom: windowHeight(5),
  },
  ridekmView: {
    height: "100%",
    backgroundColor: appColors.primary,
    alignItems: "center",
    justifyContent: "center",
    overflow: "hidden",
    paddingHorizontal: windowWidth(5),
  },
  ridekmText: {
    color: appColors.whiteColor,
    fontFamily: appFonts.regular,
    fontSize: fontSizes.FONT11,
  },
  ridekmMainView: {
    height: "100%",
    backgroundColor: appColors.whiteColor,
    alignItems: "center",
    justifyContent: "center",
    overflow: "hidden",
    paddingHorizontal: windowWidth(5),
  },
  rideMinText: {
    color: appColors.blackColor,
    fontFamily: appFonts.semiBold,
    marginHorizontal: windowHeight(10),
  },
  bidContainer: {
    position: "absolute",
    top: 80,
  },
  loaderContainer: {
    backgroundColor: appColors.lightGreen,
    paddingVertical: windowHeight(6),
    paddingHorizontal: windowWidth(16),
    borderRadius: windowHeight(25),
  },
  vehicleContainer: {
    marginHorizontal: windowWidth(18),
    marginBottom: windowHeight(5),
  },
  box: {
    position: "absolute",
    marginTop: windowHeight(70),
    marginHorizontal: windowWidth(15),
    height: windowHeight(35),
    maxWidth: windowWidth(190),
    borderWidth: 1,
    borderRadius: windowWidth(35),
    alignItems: "center",
    paddingHorizontal: windowWidth(5),
    backgroundColor: appColors.whiteColor,
    borderColor: appColors.gray,
  },
  kmImage: {
    width: windowHeight(30),
    height: windowHeight(30),
    resizeMode: "contain",
    alignItems: "center",
    justifyContent: "center",
  },
  dataView: {
    marginHorizontal: windowWidth(15),
    paddingBottom: windowHeight(20),
    borderRadius: windowWidth(25),
    elevation: 0.2,
    paddingTop: windowHeight(2),
  },
  backButton: {
    width: windowHeight(25),
    height: windowHeight(25),
    borderRadius: windowHeight(25),
    backgroundColor: appColors.whiteColor,
    position: "absolute",
    zIndex: 3,
    alignItems: "center",
    borderWidth: windowWidth(2),
    justifyContent: "center",
    borderColor: appColors.loaderPrimary,
    marginTop: windowHeight(35),
  },
  imageBox: {
    height: windowHeight(60),
    width: windowHeight(65),
    backgroundColor: appColors.lightGray,
    borderRadius: windowHeight(10),
  },
  check: {
    backgroundColor: appColors.readyText,
  },
  round: {
    height: windowHeight(35),
    width: windowHeight(35),
    borderRadius: windowHeight(35),
    borderWidth: windowWidth(1),
    alignItems: "center",
    justifyContent: "center",
  },
  prefPrice: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT16,
    color: appColors.online,
  },
  prefName: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT16,
  },
});

export { styles };
